services:
  backend_dev_image:
    build:
      ## context: /share/Container/dms/backend
      context: ./backend
      dockerfile: Dockerfile
      target: dev
    image: dms-backend:dev
    command: ["true"]

  backend_prod_image:
    build:
      ## context: /share/Container/dms/backend
      context: ./backend
      dockerfile: Dockerfile
      target: prod
    image: dms-backend:prod
    command: ["true"]
# docker compose -f docker-backend-build.yml build --no-cache 2>&1 | tee backend_build.log
# ***** สำหรับ build บน server เอา ## ออก *****
# สำหรับ build บน local
# cd backend
# docker build -t dms-backend:dev --target dev .
